[Overview][Constants][Procedures and functions][Index] | Reference for unit 'DateUtils' (#rtl)

# MacToDateTime

Convert a Mac timestamp to a TDateTime timestamp

## Declaration

Source position: dateutil.inc line 434

`function MacToDateTime(`
`const AValue: Int64`
`):TDateTime;`

## Description

MacToDateTime converts the Mac timestamp indication in AValue to a valid TDateTime indication.

## Errors

None.

## See also

UnixTimeStampToMac |  | Convert Unix Timestamp to a Mac Timestamp
DateTimeToMac |  | Convert a TDateTime timestamp to a Mac timestamp
MacTimeStampToUnix |  | Convert a Mac timestamp to a Unix timestamp